import * as _nuxt_schema from '@nuxt/schema';
import { UseScriptOptions, ScriptBase } from '@unhead/schema';

type NuxtUseScriptOptions<T = any> = UseScriptOptions<T>;

interface ModuleOptions {
    /**
     * Set default script tag attributes and script options.
     */
    defaults?: {
        /**
         * Default script tag attributes.
         */
        script?: ScriptBase;
        /**
         * Default script options.
         */
        options?: NuxtUseScriptOptions;
    };
    /**
     * Whether the module is enabled.
     *
     * @default true
     */
    enabled: boolean;
    /**
     * Enables debug mode.
     *
     * @false false
     */
    debug: boolean;
}
interface ModuleHooks {
    /**
     * Transform a script before it's registered.
     */
    'scripts:transform': (ctx: {
        script: string;
        options: any;
    }) => Promise<void>;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { type ModuleHooks, type ModuleOptions, _default as default };
